@if(count($teacher) >0)
@foreach($teacher as $row)
<div class="alert mt-3 mb-3" style="border: 2px solid #e9f0f3 !important; width: 100%; display: -webkit-inline-box;  font-size: 12px !important; font-weight:bold !important; color: black; border-radius: 6px;">
    <div class="col-md-12">
        <div class="row">
            <div class="col-md-10">
                <span style="margin: 0px;">{{$row->first_name}} {{$row->last_name}}</span></br>
                <span class="text-muted" style="font-weight: 500;">{{$row->designation}}</span></br>
                <span class="text-muted" style="font-weight: 500;">{{$row->department}}</span>
                <span>.</span>
                <span class="text-muted" style="font-weight: 500;">{{$row->university_name}}</span>
            </div>
            <div class="col-md-2 mt-3">
                <span class="btn btn3 apply_student" data-id="{{ $row->id }}" style="margin-left: 1.1rem;">Apply</span>  
            </div>
        </div>
    </div>
</div>
@endforeach
@else
<div class="alert mt-3 mb-3" style="border: 2px solid #e9f0f3 !important; width: 100%; display: -webkit-inline-box;  font-size: 12px !important; font-weight:bold !important; color: black; border-radius: 6px;">
    <div class="col-md-12">
        <div class="row">
            <div class="col-md-12 text-center">
                <span class="text-danger">No data found!</span>
            </div> 
        </div>
    </div>
</div>

@endif

<script>
    $(function(){
        $('.apply_student').on('click', function(e){
            e.preventDefault();
            var id = $(this).data('id');
            var form_data={
                _token: "{{ csrf_token() }}",
                id: id
            }
            swal({
                title: "Are you sure?",
                text: "Do you want to send email!",
                type: "warning",
                showCancelButton: true,
                confirmButtonClass: "btn-success",
                cancelButtonClass: "btn-danger",
                confirmButtonText: "Yes",
                cancelButtonText: "No"
            },function(isConfirm){
                if(isConfirm){
                    $.post("{{ route('ajax-post', ['name'=>'send_apply_student_teacher_email']) }}", form_data, function(res){

                    if(res.msg) pop_up_msg(res.msg); 

                    }).fail(function(err){

                    }); 
                }
            });
        });
    });
</script>